## org.exist.storage
Class BufferStats

    java.lang.Object
      org.exist.storage.BufferStats

public class BufferStats
extends java.lang.Object

Author:
  wolf To change this generated comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary
`static int` `DATA`
`static int` `INDEX`

Constructor Summary
`BufferStats(int size, int used, int hits, int fails)`

Method Summary
`int` `getPageFails()`
`int` `getPageHits()`
`int` `getSize()`
`int` `getUsed()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

### DATA

    public static final int DATA

See Also:
  Constant Field Values

Constructor Detail

### BufferStats

    public BufferStats(int size,
                       int used,
                       int hits,
                       int fails)

Method Detail

### getPageFails

    public int getPageFails()

  Returns:
    int

### getPageHits

    public int getPageHits()

  Returns:
    int

### getSize

    public int getSize()

  Returns:
    int

### getUsed

    public int getUsed()

  Returns:
    int

Copyright (C) Wolfgang Meier. All rights reserved.